#!/usr/bin/env python

# This application is released under the GNU General Public License
# v3 (or, at your option, any later version). You can find the full
# text of the license under http://www.gnu.org/licenses/gpl.txt.
# By using, editing and/or distributing this software you agree to
# the terms and conditions of this license.
# Thank you for using free software!

# LigaScreenlet. 2008 soitu.es
# creado a partir de Browser Screenlet, por Helder Fraga

import screenlets
from screenlets import DefaultMenuItem
import cairo
import gtk
import sys
import os
import pango
import gtkmozembed


class EstacionesEsquiScreenlet (screenlets.Screenlet):
	"""Estado e informacion de todas las estaciones de esqui. Ofrecido por soitu.es"""

	# datos basicos del screenlet
	__name__		= 'EstacionesEsquiScreenlet'
	__version__		= '0.1'
	__author__		= 'soitu.es'
	__desc__		= __doc__
	width = 315
	height = 540
	box = None
	moz = None
	box = None
	hbox = None
	moz = None
	mypath = sys.argv[0][:sys.argv[0].find('BrowserScreenlet.py')].strip()
	color_back = 0.5,0.5,0.5,0.9
	url = 'http://www.soitu.es/widgets/nieve/widget.html'

	curve = 6
	def __init__ (self, **keyword_args):

		# inicializando todo
		screenlets.Screenlet.__init__(self, width=305, height=526,uses_theme=True, is_widget=False, is_sticky=True, **keyword_args)
		self.add_default_menuitems()
		# contenedor del cargador de mozilla
		self.theme_name = "default"

		if self.box == None:
			try:self.opacity=0.9
			except:pass
			self.box = gtk.VBox()
			self.hbox = gtk.HBox()
			self.moz = gtkmozembed.MozEmbed()
			self.box.set_border_width(int(2*self.scale))


			self.entry = gtk.Entry()

			# creando evntbox
			if hasattr(gtkmozembed, 'set_profile_path'):
				gtkmozembed.set_profile_path(self.mypath,'mozilla')
			else:
				gtkmozembed.gtk_moz_embed_set_profile_path(self.mypath ,'mozilla')


			self.moz.load_url(str(self.url))


    			self.box.pack_start(self.moz, False, True, 0)

			self.box.set_uposition(2,15)

			self.window.add(self.box)
			self.moz.set_size_request(-1,int((self.height*self.scale-30)))
			self.window.show_all()

	def on_draw (self, ctx):

		if self.theme:
			ctx.set_source_rgba(self.color_back[0],self.color_back[1],self.color_back[2],self.color_back[3])
			self.theme.draw_rounded_rectangle(ctx,0,0,self.curve,self.width,self.height)
			ctx.set_source_rgba(1-self.color_back[0],1-self.color_back[1],1-self.color_back[2],1)

	# necesario para poder mover el widget
	def on_draw_shape (self, ctx):
		ctx.scale(self.scale, self.scale)
		ctx.set_source_rgba(0, 0, 0, 1)
 		ctx.rectangle(0, 0, self.width*self.scale, self.height*self.scale)
		ctx.fill()


if __name__ == "__main__":
	# creamos la sesion y todo eso
	import screenlets.session
	screenlets.session.create_session(EstacionesEsquiScreenlet)

